Package com.artofsolving.jodconverter

# Interface DocumentFormatRegistry

All Known Implementing Classes:
  `BasicDocumentFormatRegistry`, `DefaultDocumentFormatRegistry`, `XmlDocumentFormatRegistry`

public interface DocumentFormatRegistry

## Method Summary

Modifier and Type
Method
Description
`DocumentFormat`
`getFormatByFileExtension(String extension)`
`DocumentFormat`
`getFormatByMimeType(String extension)`

## Method Details

### getFormatByFileExtension

DocumentFormat getFormatByFileExtension(String extension)

### getFormatByMimeType

DocumentFormat getFormatByMimeType(String extension)